package cn.com.infosec.mobile.android.xlog.printer.file.naming;

import android.support.annotation.Keep;

@Keep
public class ChangelessFileNameGenerator implements FileNameGenerator {
   private final String fileName;

   public ChangelessFileNameGenerator(String fileName) {
      this.fileName = fileName;
   }

   public boolean isFileNameChangeable() {
      return false;
   }

   public String generateFileName(int logLevel, long timestamp) {
      return this.fileName;
   }
}
